# $Revision: 1.134 $, $Date: 2008-03-31 06:45:03 $
# TODO
# - add --delete-remote patches:
#  - http://wget-bugs.ferrara.linux.it/issue9
#  - or http://osdir.com/ml/web.wget.patches/2005-09/msg00006.html
Summary:	A utility for retrieving files using the HTTP or FTP protocols
Summary(es.UTF-8):	Cliente en línea de comando para bajar archivos WWW/FTP con recursión opcional
Summary(fr.UTF-8):	Un utilitaire pour recuperer des fichiers en utilisant les protocoles HTTP ou FTP
Summary(pl.UTF-8):	Wsadowy klient HTTP/FTP
Summary(pt_BR.UTF-8):	Cliente na linha de comando para baixar arquivos WWW/FTP com recursão opcional
Summary(ru.UTF-8):	Утилита для получения файлов по протоколам HTTP и FTP
Summary(uk.UTF-8):	Утиліта для отримання файлів по протоколам HTTP та FTP
Summary(zh_CN.UTF-8):	[通讯]功能强大的下载程序,支持断点续传
Name:		wget
Version:	1.11.1
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	ftp://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.gz
# Source0-md5:	9ce16ff30a236e474e3c19d988e1f119
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	d8b2b56ec7461606c22edbafaf8a418f
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-pl.patch
Patch3:		%{name}-wgetrc_path.patch
Patch4:		%{name}-home_etc.patch
Patch5:		%{name}-noabort.patch
URL:		http://wget.sunsite.dk/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7m
BuildRequires:	texinfo
BuildRequires:	perl-devel
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqfiles		%{_bindir}/rmold

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%description -l es.UTF-8
GNU wget es una herramienta de red para bajar archivos usando HTTP y
FTP. Funciona en modo no interactivo, pudiendo trabajar en background.
Funciona muy bien, incluso en conexiones lentas o inestables, bajando
el archivo hasta que sea completamente recibido.

%description -l fr.UTF-8
GNU Wget est un utilitaire pour récupérer des fichiers qui peut
utiliser indifféremment les protocoles HTTP ou FTP. Parmi les
caractéristiques de Wget, citons la capacité à récupérer des fichiers
en arrière-plan alors que vous n'êtes pas connecté, la récupération
récursive de répertoires, la capacité de récupérer des fichiers en
appliquant un filtre sur le nom ou sur la date, la gestion de Rest
avec les serveurs FTP et de Range avec les serveurs HTTP pour
récupérer des fichiers avec une connexion lente ou instable, le
support des serveurs Proxy... Wget est particulièrement configurable.

%description -l ja.UTF-8
GNU wget は HTTP か FTP プロトコルのどちらかを使用することができる
ファイルを取得するユーティリティです。wget はログアウトしている
間にバックグラウンドで働く特徴をもっていること、ディレクトリの再帰的
取得、ファイルネームのワイルドカードマッチング、ファイルのタイムスタンプの
保存と比較、遅く不安定な接続で FTP サーバの Rest と HTTP サーバの
Range の使用、プロキシーサーバのサポートと設定の容易さを含んだ特徴を
もっています。

%description -l pl.UTF-8
Wget jest klientem FTP/HTTP przeznaczonym do ściągania zasobów
wsadowo. Umożliwia ściąganie zasobów z podkatalogami, a także ma opcje
umożliwiające wykonanie lokalnej kopii zasobów (mirror). W razie
niemożności dostania się do zasobów lub gdy połączenie z serwerem
FTP/HTTP zostanie zerwane, może automatycznie ponawiać próby
kopiowania. Jest także dobrze przystosowany do tego, żeby uruchamiać
go jako zadanie z crona.

%description -l pt_BR.UTF-8
O GNU wget é uma ferramenta de rede para baixar arquivos usando HTTP e
FTP. Ele funciona em modo não interativo, podendo trabalhar em
background. Funciona muito bem, mesmo em conexões lentas ou instáveis,
baixando o arquivo até que ele seja completamente recebido.

%description -l ru.UTF-8
GNU Wget - это утилита командной строки для получения файлов по
протоколам FTP и HTTP. Среди возможностей Wget - работа в фоновом
режиме когда вы выходите из системы, рекурсивное извлечение каталогов,
выбор файлов по шаблону, сравнение времени удаленных и локальных
файлов, сохранение времени удаленных файлов при загрузке,
использование REST с FTP серверами и Range с HTTP серверами для
загрузки файлов по медленным или нестабильным каналам, поддержка Proxy
серверов, конфигурируемость.

%description -l uk.UTF-8
GNU Wget - це утиліта командного рядка для отримання файлів по
протоколам FTP та HTTP. Серед можливостей Wget - робота в фоновому
режимі коли ви виходите із системи, рекурсивне отримання каталогів,
вибір файлів по шаблону, порівняння часу віддалених та локальних
файлів, збереження часу віддалених файлів при завантаженні,
використання REST з FTP серверами та Range з HTTP серверами для
завантаження файлів по повільним чи нестабільним каналам, підтримка
Proxy серверів, настроюваність.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
rm -f doc/wget.info doc/sample.wgetrc.munged_for_texi_inclusion

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%configure \
	--with-ssl
%{__make}
tail -n 6 util/README >rmold.README

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GETTEXT_PACKAGE=wget

install util/rmold.pl		$RPM_BUILD_ROOT%{_bindir}/rmold
install doc/sample.wgetrc	$RPM_BUILD_ROOT%{_sysconfdir}/wgetrc

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/README*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README MAILING-LIST rmold.README
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/%{name}rc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wget.spec,v $
Revision 1.134  2008-03-31 06:45:03  paszczus
- downgrade BR: openssl-devel for Ac

Revision 1.133  2008-03-29 15:00:05  adamg
- updated to 1.11.1

Revision 1.132  2008-01-24 01:23:03  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.131  2007-05-10 12:27:03  glen
- add --delete-remote todo

Revision 1.130  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.129  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.128  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.127  2006/08/01 14:22:31  wiget
- rebuild with new openssl (rel. 3)

Revision 1.126  2005/11/18 19:51:24  qboosh
- updated URL

Revision 1.125  2005/11/18 05:56:25  qboosh
- added noabort patch (avoid abort() on sime timeout); release 2

Revision 1.124  2005/10/14 10:37:19  qboosh
- added CAN number to previous commit message

Revision 1.123  2005/10/13 13:03:51  qboosh
- updated to 1.10.2 (http-ntlm security fix [CAN-2005-3185])

Revision 1.122  2005/08/28 13:13:54  qboosh
- updated to 1.10.1, removed obsolete strptime,segv patches, updated ac,pl patches

Revision 1.121  2005/07/13 19:04:02  qboosh
- added segv patch, release 2

Revision 1.120  2005/06/24 12:24:59  saq
- removing the patches that nobody cares about enough to make them
  apply (wget-{lame_fs,porn}.patch) (if you miss them, they're in the
  Attic)

Revision 1.119  2005/06/22 16:47:20  saq
- drop outdated patch2 from patch list

Revision 1.118  2005/06/22 12:38:26  saq
- got it to build, release 1

Revision 1.117  2005/06/22 12:11:51  saq
- readding misdropped BR (I just love the prefix grammar:)

Revision 1.116  2005/06/22 11:21:22  saq
- tweaking auto*

Revision 1.115  2005/06/22 09:47:45  saq
- starting upgrade to 1.10

Revision 1.114  2005/05/29 11:21:22  twittner
- added `user_agent' option to wgetrc (-user_agent_conf.patch)

Revision 1.113  2005/04/24 22:29:16  arekm
- rel 10

Revision 1.112  2005/04/24 22:15:02  arekm
- rel 9

Revision 1.111  2005/04/18 17:16:20  mmazur
- rel 8 for th

Revision 1.110  2005/01/03 14:38:26  glen
- comply to ankry's notes

Revision 1.109  2004/12/30 23:55:35  glen
- disable porn patch (usability first, then toys)
- rel 7
- STBR plz

Revision 1.108  2004/12/27 23:52:55  glen
- fixed close(-1) in back-to-ipv4.patch

Revision 1.107  2004/12/27 23:33:48  glen
- add LFS patch from FC2

Revision 1.106  2004/07/22 09:00:02  qboosh
- no->nb, release 6

Revision 1.105  2004/07/13 21:19:41  qboosh
- added missing macro to m4 patch, release 5

Revision 1.104  2004/07/13 21:03:46  qboosh
- use _noautoreqfiles to avoid perl dependency caused by rmold

Revision 1.103  2004/05/28 10:38:32  patrys
- rel. up, STBR

Revision 1.102  2004/05/28 10:36:26  patrys
- new (now builtin) fancy progress bar, try --progress=porn

Revision 1.101  2004/05/13 19:34:51  adasi
 - relup, STBR

Revision 1.100  2004/05/06 23:50:46  adasi
 - wget-nonperm.patch added - save non-permanent cookies

Revision 1.99  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.98  2004/02/12 15:43:07  krolik
- added bcond with fancy progress bar

Revision 1.97  2004/01/28 09:57:45  jajcus
- Release: 2
- -strptime.patch added to fix crash on AMD64

Revision 1.96  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.95  2003/11/16 11:07:27  qboosh
- up to 1.9.1, updated ac patch

Revision 1.94  2003/11/05 06:47:50  witekfl
- added patch with support for HOME_ETC
- Release 2

Revision 1.93  2003/10/25 23:52:43  qboosh
- final 1.9; updated pl patch

Revision 1.92  2003/10/19 09:09:16  qboosh
- updated pl patch, cleanups, release 0.4

Revision 1.91  2003/10/17 07:46:57  arekm
- updated to rc1; now works on non-ipv6 ready hosts

Revision 1.90  2003/10/12 22:31:57  arekm
- call gettext, too

Revision 1.89  2003/10/12 22:13:28  arekm
- updated to beta5

Revision 1.88  2003/10/12 21:42:20  qboosh
- updated info, pl patches
- fixed ac patch, removed acinclude.m4 creation (moved to prep)
- removed obsolete ht, filename patches

Revision 1.87  2003/10/08 18:11:17  arekm
- updated to test4 but still doesn't build

Revision 1.86  2003/10/03 10:18:16  arekm
- started update to 1.9beta

Revision 1.85  2003/09/30 20:18:36  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.84  2003/09/02 15:23:46  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.83  2003/08/30 22:56:02  mmazur
- rel 6 for ac

Revision 1.82  2003/08/28 20:15:36  ankry
- updated pl man page, fixed wgetrs path in documentation

Revision 1.81  2003/06/02 15:48:34  ankry
- added/restored non-english-man-pages URL

Revision 1.80  2003/05/25 11:01:34  malekith
- massive attack, adding Source-md5

Revision 1.79  2003/05/25 06:27:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.78  2003/03/19 19:44:22  qboosh
- added pl patch based on official update (well, based on my remarks)
- release 5

Revision 1.77  2003/02/13 14:06:58  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.76  2003/01/15 21:17:39  mkochano
- Release 4.
- Added "lame_fs" patch.

Revision 1.75  2002/12/20 23:09:34  qrczak
- BuildRequires: gettext-devel - removed "< 0.11" version requirement.
  I don't know why it was there and it works with gettext-0.11.5.
- Release 3.

Revision 1.74  2002/12/11 10:19:02  qboosh
- added ht patch - SEGV fix from RH
- added filename patch - SECURITY fix from RH (directory traversal thru ftp)
- release 2, STBR to ra/updates/security

Revision 1.73  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.72  2002/06/05 21:41:01  kloczek
- release 1: merge translations from KSI and TurboLinux.

Revision 1.71  2002/06/05 19:43:55  qboosh
- updated to 1.8.2 (bugfix release)
- updated ipv6 patch, added pl translations of v6-specific messages
- use one ac patch instead of broken use_AM_GNU_GETTEXT+ah set
- removed wget-pl.po, translation was already fixed in sources
- STBR-test

Revision 1.70  2002/06/04 21:49:03  qboosh
- this time really fixed pl messages (updated using misiek's wget.pl.po
  for wget 1.7 taken from i18n CVS module)
- BR: gettext-devel 0.10.x
- release 4

Revision 1.69  2002/05/25 21:40:07  qboosh
- new %%doc, cleanup

Revision 1.68  2002/05/21 23:14:55  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.67  2002/05/17 10:01:28  qboosh
- fixed typos, fuzzy entries and other bugs in pl.po
- release 3

Revision 1.66  2002/04/22 10:27:35  djrzulf
- fixed build for --target != from builder,
- Release 2,
- STBR,

Revision 1.65  2002/04/22 07:31:10  djrzulf
- added working IPv6 patch,
- needs testing!
- Release 1,
- STBR,

Revision 1.64  2002/04/03 20:47:41  grzegol
- removed IPv6 patch (it doesn't work at all)

Revision 1.63  2002/04/01 20:39:47  grzegol
- now pl.po is in source package

Revision 1.62  2002/04/01 17:58:18  djrzulf
- added ipv6 patch - it rejecting hunks, smbd must help :>

Revision 1.61  2002/04/01 08:06:31  djrzulf
- updated to 1.8.1,
- STBR,

Revision 1.60  2002/03/03 16:43:48  juandon
- added perl-devel to BuildRequires (pod2man is used)
- added -DHAVE_NLS -DHAVE_LOCALE_H (ugly but works)
- Release 7

Revision 1.59  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.58  2002/01/18 02:15:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.57  2001/11/15 23:29:05  ankry
- added hu, pl man pages
- release 6

Revision 1.56  2001/11/14 12:52:12  misiek
- new ipv6 patch; release 5

Revision 1.55  2001/10/01 08:19:06  marcus
- removed mv wgetrc.* wgetrc

Revision 1.54  2001/09/04 00:54:42  kloczek
- release 4.

Revision 1.53  2001/09/03 12:48:35  gotar
- awful %%configure macro expansions removed,
- no functional nor release changes.

Revision 1.52  2001/08/30 09:08:27  kloczek
- release 3: added Provides: webclient.

Revision 1.51  2001/08/22 01:28:46  kloczek
- s/libtoolize/libtool/ in BuildRequires rule.

Revision 1.50  2001/08/22 01:19:01  kloczek
- regenerate ac/am/ah/lt files,
- removed am_ac patch and add ah (fix autoherader suit) and commented ac patch
  (fix incorrect dnl usage in configure.in in ipv6 path).

Revision 1.49  2001/08/21 18:43:35  filon
- removed autoconf, changed to %%configure2_13 to make it build

Revision 1.48  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/06/04 22:20:39  misiek
- added/removed new/obsolete patches
- updated to 1.7
- updated polish translation
- NFY since ipv6 patch is not working yet!

Revision 1.45  2001/05/09 12:12:18  wiget
fix pl.po; release 4

Revision 1.44  2001/01/02 22:51:24  misiek
release 3; fixed pl translation

Revision 1.43  2001/01/02 18:08:16  kloczek
- removed hardcoded debug=1.

Revision 1.42  2001/01/02 17:53:56  kloczek
- release 2.

Revision 1.41  2001/01/02 17:33:30  misiek
ipv6 support readded

Revision 1.40  2001/01/02 02:02:33  kloczek
- updated to 1.6,
- removed 1.5.3-ipv6, pl.po, symlink patches.

Revision 1.39  2000/10/10 21:13:02  kloczek
- release 12: use new rpm automation suit and adapterized.

Revision 1.38  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.37  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.35  2000/05/04 20:49:01  kloczek
- spec adapterized.

Revision 1.34  2000/05/04 15:10:02  bonkey
- added wget-new-percentage patch -- gives eta and current transfer
- release++

Revision 1.33  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/%post is executed only when info is already
  installed

Revision 1.32  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.31  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.30  1999/12/13 01:25:59  kloczek
- new %description (from rawhide spec).

Revision 1.29  1999/10/01 20:35:31  kloczek
- don't permit chmod 777 on symlinks (symlink patch from rawhide).

Revision 1.28  1999/10/01 20:30:58  kloczek
- release 10,
- added fr translation from BeroLinux.

Revision 1.27  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.26  1999/07/27 14:38:41  kloczek
- release 9.

Revision 1.25  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiński <pius@pld.org.pl>
  [1.5.3-8]
- package is FHS 2.0 compliant,
- based on spec file written by ??? <root@ricketts.stannes.ox.ac.uk>,
  rewritten for PLD use by me, Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>,
  and Michał Kuratczyk <kura@pld.org.pl>,
- pl translation by Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  and Wojtek Ślusarczyk <wojtek@shadow.eu.org>.
